Page MenuHomeMiraheze

Make sure we are in compliance with the GDPR
Closed, ResolvedPublic

Description

We need to make sure we are in compliance with the GDPR ASAP.

With the deadline of 25 may, we could be fined alot of money we doin't have if we breach it.

Event Timeline

Paladox created this task.May 16 2018, 21:04
Paladox added a comment.May 16 2018, 21:05

Maybe UBN?

Paladox changed the edit policy from "Custom Policy" to "All Users".May 16 2018, 21:46
Paladox changed the visibility from "Custom Policy" to "Public (No Login Required)".
MacFan4000 raised the priority of this task from High to Unbreak Now!.May 17 2018, 01:11
Paladox added a comment.May 17 2018, 08:10

Cc @labster wondering do you have any opinion on this? :)

John removed a project: Security.May 17 2018, 10:35

I'm pretty sure security is valid since this is dealing with legal stuff in europe.

Paladox added a comment.May 17 2018, 15:09

Legal is different to security.

John removed a project: Security.May 17 2018, 16:28

Security: "security-sensitive tasks" if this is public, it fails the requirement for security.

labster added a comment.May 17 2018, 20:27

No opinions in particular. I've heard of the GDPR, but I don't really know what, if anything, we'd need to do to come into compliance.

Paladox added a comment.May 18 2018, 11:37

We are considering hiring a lawyer to do this.

labster added a comment.May 20 2018, 08:09

I'd assume that we try to move into compliance on our own first. It reduces billable hours.

Also: https://meta.miraheze.org/wiki/Talk:Privacy_Policy#GDPR

We're close to 3 days left, we need to make changes to the Privacy Policy ASAP!

Paladox mentioned this in Unknown Object (Diffusion Commit).May 21 2018, 19:19
Paladox mentioned this in Unknown Object (Diffusion Commit).
John closed this task as Resolved.May 25 2018, 12:57
John claimed this task.
John closed subtask T3133: Update privacy policy as Resolved.
MacFan4000 reassigned this task from John to labster.May 25 2018, 14:47